Modify

#37 closed enhancement (wontfix)

Queue messages when remote is offline

Reported by: frank Owned by:
Priority: wishlist Milestone:
Component: BitlBee Version:
Keywords: queue offline Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

oscar painfully lacks the ability to queue messages that are sent to buddies who are offline right now.

it would be nice if bitlbee could collect such messages and send them when the buddy comes back online.

sometimes you just want to "drop a line" (like an URL) to someone, without paying attention to whether he'll get it now or later.

with bitlbee (as it is now) you must be careful or you will actually lose messages if you miss the "Error: Your message to xxx did not get sent: Not logged in"...

Attachments (0)

Change History (6)

comment:1 Changed at 2005-11-28T10:20:12Z by wilmer

Actually, OSCAR does support offline messages, but only for ICQ. But that's just a detail.

Many people asked for this already, but I don't feel too tempted to implement it since it's by no means reliable (not that ICQ offline messages are ;-). BitlBee can't (yet) save the messages when it restarts, maybe the messages aren't important anymore by the time the person logs in, and most of all, when a network doesn't support offline msgs, the users expect you to be there when they get a message from you.

But patches for this are welcome, and if they look good I can apply them. Just the part that remembers msgs accross BitlBee sessions will be tricky, it's probably better to wait with that part until there's a better file format for user data.

comment:2 Changed at 2005-11-28T13:15:22Z by wilmer

Summary: queue messages when remote is offlineQueue messages when remote is offline

comment:3 Changed at 2005-12-06T00:52:15Z by wilmer

Type: defectenhancement
Version: 0.99

comment:4 Changed at 2005-12-28T19:22:59Z by eydaimon - nefar@…

I'm coming from centericq which has this feature, and I love it.

centericq stores the unreceived outgoing message in a flat file which it then sends later.

I can totally see somthing like.

unsent list

as a command to see which messages have not been sent due to offline-ness.

also it would be possible to delete unsent messages if you change your mind or something.

unsent rm 9

unsent list <protocol>

unsent list <username>

and so fourth.

"and most of all, when a network doesn't support offline msgs, the users expect you to be there when they get a message from you."

I usually tell people that my client handles this, and it hasn't really been a problem for people to get around the concept.

comment:5 Changed at 2006-07-27T22:56:16Z by tobyS

I still see a great enhancement in this feature. Almost any ICQ client supports this now, by sending messages through the server. Any chance it'll be implemented?

comment:6 Changed at 2008-03-15T23:12:13Z by wilmer

Resolution: wontfix
Status: newclosed

AFAIK all IM networks support offline messages now. BitlBee doesn't do them for MSN yet, but possibly it once will. There should be no need for this anymore.

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.